Image Component Library - Bug #500

Does not build without QT
2017-02-22 09:41 - Timo Korthals

Status: Closed Start date: 2017-02-22
Priority: Normal Due date:

Assignee: Christof Elbrechter % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

The component src/ICLCV/HeartrateDetector.cpp requires QT, but is not excluded if QT is OFF.
So here is a patch:

Index: ICLCV/CMakelLists.txt

--- ICLCV/CMakeLists.txt (revision 4625)

+++ ICLCV/CMakelLists.txt (working copy)

@@ -32,7 +32,6 @@
src/ICLCV/CV.cpp
src/ICLCV/Extrapolator.cpp
src/ICLCV/FloodFiller.cpp

- src/ICLCV/HeartrateDetector.cpp
src/ICLCV/HoughLine.cpp
src/ICLCV/HoughLineDetector.cpp
src/ICLCV/HungarianAlgorithm.cpp

@@ -55,7 +54,6 @@
src/ICLCV/CV.h
src/ICLCV/Extrapolator.h
src/ICLCV/FloodFiller.h

- src/ICLCV/HeartrateDetector.h
src/ICLCV/HoughLine.h
src/ICLCV/HoughLineDetector.h
src/ICLCV/HungarianAlgorithm.h

@@ -88,6 +86,12 @@

src/ICLCV/TemplateTracker.h)
ENDIF()

+IF(QT_FOUND)
+ LIST(APPEND SOURCES src/ICLCV/HeartrateDetector.cpp)
+
+ LIST(APPEND HEADERS src/ICLCV/HeartrateDetector.h)
+ENDIF()
+
IF(OPENCV_FOUND)
LIST(APPEND SOURCES src/ICLCV/OpenSurfLib.cpp
src/ICLCV/LensUndistortionCalibrator.cpp

History

#1 - 2017-02-27 14:49 - Christof Elbrechter
- Status changed from New to In Progress

- % Done changed from 0 to 40

onit..

#2 - 2017-02-28 11:55 - Christof Elbrechter

- Status changed from In Progress to Closed

- % Done changed from 40 to 100
ok, good suggestion! By default, C++-11 is used now
